Skip to main content
GET
/
key_link
/
signing_keys
/
{keyId}
TypeScript
const response: Promise<FireblocksResponse<SigningKeyDto>> = fireblocks.keyLinkBeta.getSigningKey(keyLinkBetaApiGetSigningKeyRequest);
{
  "keyId": "46a92767-5f93-4a46-9eed-f012196bb4fc",
  "signingDeviceKeyId": "MyKey1",
  "publicKeyPem": "-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----",
  "algorithm": "ECDSA_SECP256K1",
  "enabled": true,
  "vaultAccountId": 10,
  "agentUserId": "d18847b5-1df6-4c46-8f99-5cce47284529",
  "createdAt": 124757537
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

keyId
string
required

The unique identifier for the signing key provided by Fireblocks

Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

Response

Requested signing key data

keyId
string
required

External signing key id set by Fireblocks.

Required string length: 36
Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

signingDeviceKeyId
string
required

The ID, name or label of the key specified on the customer's signing device.

Maximum string length: 256
Example:

"MyKey1"

publicKeyPem
string
required

PEM encoded public key

Example:

"-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----"

algorithm
string
required

Algorithm and curve used for the signature. Can be: ECDSA_SECP256K1 or EDDSA_ED25519

Example:

"ECDSA_SECP256K1"

enabled
boolean
required

True if the signing key is enabled

Example:

true

vaultAccountId
number | null
required

Id of the vault account which this key is linked to

Example:

10

agentUserId
string
required

Id of user that represent agent servers that can sign with the key

Required string length: 36
Example:

"d18847b5-1df6-4c46-8f99-5cce47284529"

createdAt
number
required

Creation date (timestamp) in milliseconds.

Example:

124757537